#/bin/sh

LIBEXEC_DIR='/opt/nrpe/libexec'
TEMP_DIR=$1

rm -f $LIBEXEC_DIR/check_apt $LIBEXEC_DIR/check_breeze $LIBEXEC_DIR/check_disk_smb $LIBEXEC_DIR/check_file_age
rm -f $LIBEXEC_DIR/check_flexlm $LIBEXEC_DIR/check_ifoperstatus $LIBEXEC_DIR/check_ifstatus $LIBEXEC_DIR/check_procs
rm -f $LIBEXEC_DIR/check_ircd $LIBEXEC_DIR/check_mailq $LIBEXEC_DIR/check_rpc $LIBEXEC_DIR/check_sensors $LIBEXEC_DIR/check_wave

chown root:root $LIBEXEC_DIR/check_icmp

echo 'command[cpu_utilization]=/opt/nrpe/libexec/opservices/check_cpu_utilization 80 90' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[memory]=/opt/nrpe/libexec/opservices/check_mem.sh memory 80 90' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[swap]=/opt/nrpe/libexec/opservices/check_mem.sh swap 80 90' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[uptime]=/opt/nrpe/libexec/opservices/check_uptime -w 15' >> /opt/nrpe/etc/nrpe.cfg
 
echo 'command[disk]=/opt/nrpe/libexec/check_disk -l' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk1]=/opt/nrpe/libexec/check_disk -w 10% -c 5% -p / -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk2]=/opt/nrpe/libexec/check_disk -w 10% -c 5% -p /stand -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk3]=/opt/nrpe/libexec/check_disk -w 10% -c 5% -p /var -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk4]=/opt/nrpe/libexec/check_disk -w 10% -c 5% -p /usr -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk5]=/opt/nrpe/libexec/check_disk -w 10% -c 5% -p /tmp -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk6]=/opt/nrpe/libexec/check_disk -w 8% -c 5% -p /opt -m' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[check_disk7]=/opt/nrpe/libexec/check_disk -w 8% -c 5% -p /home -m' >> /opt/nrpe/etc/nrpe.cfg

echo 'command[proc_cron]=/opt/nrpe/libexec/opservices/check_procs.sh -a cron' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[proc_sybase]=/opt/nrpe/libexec/opservices/check_procs.sh -a sybase' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[proc_oracle]=/opt/nrpe/libexec/opservices/check_procs.sh -a oracle' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[proc_nfsd]=/opt/nrpe/libexec/opservices/check_procs.sh -a nfsd' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[proc_smbd]=/opt/nrpe/libexec/opservices/check_procs.sh -a smbd' >> /opt/nrpe/etc/nrpe.cfg
echo 'command[proc_httpd]=/opt/nrpe/libexec/opservices/check_procs.sh -a httpd' >> /opt/nrpe/etc/nrpe.cfg

mkdir -p $LIBEXEC_DIR/opservices

mv $TEMP_DIR/opservices/* /opt/nrpe/libexec/opservices
